<jds-bi-modal
  #modal
  [id]="modalId"
>
  <ng-container ngProjectAs="header">
    <h6>Lacak</h6>
    <button
      class="t-button-close"
      (click)="closeModal()"
      role="button"
      type="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <ng-container *ngIf="satudataUser.role_name !== 'walidata'">
      <ng-container *ngIf="notificationData as notification">
        <ng-container *ngIf="notification.status === 'success'">
          <ng-container *ngIf="notification.data.list[0]; let item">
            <div
              [ngClass]="jds.mb(24)"
              [innerHTML]="getNotificationContent(item.title, item.content)"
            ></div>
          </ng-container>
        </ng-container>
      </ng-container>
    </ng-container>

    <ng-container *ngIf="historyData">
      <ng-container *ngIf="historyData as history">
        <ng-container *ngIf="history.status === 'loading'">
          <ng-container *ngTemplateOutlet="skeleton" />
        </ng-container>

        <ng-container *ngIf="history.status === 'success'">
          <ul [ngClass]="jds.timeline">
            <li *ngFor="let row of history.data.list">
              <h6 [ngClass]="[jds.fs(16), jds.mb(5)]">
                {{ getStatusName(row.status) }}
              </h6>
              <div [ngClass]="[jds.text('muted')]">
                {{
                  moment(row.datetime)
                    .locale('id')
                    .format('DD MMMM YYYY &nbsp; HH:mm')
                }}
              </div>
              <p
                *ngIf="row.notes"
                [ngClass]="[jds.mb(0), jds.mt(8)]"
              >
                {{ row.notes }}
              </p>

              <ng-container *ngIf="satudataUser.role_name === 'walidata'">
                <div
                  *ngIf="row.name"
                  [ngClass]="jds.mt(8)"
                >
                  [{{ row.name }}]
                </div>
              </ng-container>
            </li>
          </ul>
        </ng-container>
      </ng-container>
    </ng-container>
  </ng-container>
</jds-bi-modal>

<ng-template #skeleton>
  <ng-container *ngFor="let number of [20, 80, 30, 50]">
    <div class="wrapper-skeleton">
      <ngx-skeleton-loader
        [theme]="{
          width: number + '%',
          'border-radius': '0',
          height: '20px',
          'margin-bottom': '5px'
        }"
      />
    </div>
  </ng-container>
</ng-template>
